Callisto4Bootloader: OCOTP_Type Struct Reference

Callisto4Bootloader

Data Fields
OCOTP_Type Struct Reference
Mapping Information » Edma_request » Iomuxc_pads » Device Peripheral Access Layer » OCOTP Peripheral Access Layer

`#include <MIMXRT1062.h>`

## Data Fields

__IO uint32_t | CTRL
__IO uint32_t | CTRL_SET
__IO uint32_t | CTRL_CLR
__IO uint32_t | CTRL_TOG
__IO uint32_t | TIMING
uint8_t | RESERVED_0 [12]
__IO uint32_t | DATA
uint8_t | RESERVED_1 [12]
__IO uint32_t | READ_CTRL
uint8_t | RESERVED_2 [12]
__IO uint32_t | READ_FUSE_DATA
uint8_t | RESERVED_3 [12]
__IO uint32_t | SW_STICKY
uint8_t | RESERVED_4 [12]
__IO uint32_t | SCS
__IO uint32_t | SCS_SET
__IO uint32_t | SCS_CLR
__IO uint32_t | SCS_TOG
__IO uint32_t | CRC_ADDR
uint8_t | RESERVED_5 [12]
__IO uint32_t | CRC_VALUE
uint8_t | RESERVED_6 [12]
__I uint32_t | VERSION
uint8_t | RESERVED_7 [108]
__IO uint32_t | TIMING2
uint8_t | RESERVED_8 [764]
__IO uint32_t | LOCK
uint8_t | RESERVED_9 [12]
__IO uint32_t | CFG0
uint8_t | RESERVED_10 [12]
__IO uint32_t | CFG1
uint8_t | RESERVED_11 [12]
__IO uint32_t | CFG2
uint8_t | RESERVED_12 [12]
__IO uint32_t | CFG3
uint8_t | RESERVED_13 [12]
__IO uint32_t | CFG4
uint8_t | RESERVED_14 [12]
__IO uint32_t | CFG5
uint8_t | RESERVED_15 [12]
__IO uint32_t | CFG6
uint8_t | RESERVED_16 [12]
__IO uint32_t | MEM0
uint8_t | RESERVED_17 [12]
__IO uint32_t | MEM1
uint8_t | RESERVED_18 [12]
__IO uint32_t | MEM2
uint8_t | RESERVED_19 [12]
__IO uint32_t | MEM3
uint8_t | RESERVED_20 [12]
__IO uint32_t | MEM4
uint8_t | RESERVED_21 [12]
__IO uint32_t | ANA0
uint8_t | RESERVED_22 [12]
__IO uint32_t | ANA1
uint8_t | RESERVED_23 [12]
__IO uint32_t | ANA2
uint8_t | RESERVED_24 [12]
__IO uint32_t | OTPMK0
uint8_t | RESERVED_25 [12]
__IO uint32_t | OTPMK1
uint8_t | RESERVED_26 [12]
__IO uint32_t | OTPMK2
uint8_t | RESERVED_27 [12]
__IO uint32_t | OTPMK3
uint8_t | RESERVED_28 [12]
__IO uint32_t | OTPMK4
uint8_t | RESERVED_29 [12]
__IO uint32_t | OTPMK5
uint8_t | RESERVED_30 [12]
__IO uint32_t | OTPMK6
uint8_t | RESERVED_31 [12]
__IO uint32_t | OTPMK7
uint8_t | RESERVED_32 [12]
__IO uint32_t | SRK0
uint8_t | RESERVED_33 [12]
__IO uint32_t | SRK1
uint8_t | RESERVED_34 [12]
__IO uint32_t | SRK2
uint8_t | RESERVED_35 [12]
__IO uint32_t | SRK3
uint8_t | RESERVED_36 [12]
__IO uint32_t | SRK4
uint8_t | RESERVED_37 [12]
__IO uint32_t | SRK5
uint8_t | RESERVED_38 [12]
__IO uint32_t | SRK6
uint8_t | RESERVED_39 [12]
__IO uint32_t | SRK7
uint8_t | RESERVED_40 [12]
__IO uint32_t | SJC_RESP0
uint8_t | RESERVED_41 [12]
__IO uint32_t | SJC_RESP1
uint8_t | RESERVED_42 [12]
__IO uint32_t | MAC0
uint8_t | RESERVED_43 [12]
__IO uint32_t | MAC1
uint8_t | RESERVED_44 [12]
__IO uint32_t | MAC2
uint8_t | RESERVED_45 [12]
__IO uint32_t | OTPMK_CRC32
uint8_t | RESERVED_46 [12]
__IO uint32_t | GP1
uint8_t | RESERVED_47 [12]
__IO uint32_t | GP2
uint8_t | RESERVED_48 [12]
__IO uint32_t | SW_GP1
uint8_t | RESERVED_49 [12]
__IO uint32_t | SW_GP20
uint8_t | RESERVED_50 [12]
__IO uint32_t | SW_GP21
uint8_t | RESERVED_51 [12]
__IO uint32_t | SW_GP22
uint8_t | RESERVED_52 [12]
__IO uint32_t | SW_GP23
uint8_t | RESERVED_53 [12]
__IO uint32_t | MISC_CONF0
uint8_t | RESERVED_54 [12]
__IO uint32_t | MISC_CONF1
uint8_t | RESERVED_55 [12]
__IO uint32_t | SRK_REVOKE
uint8_t | RESERVED_56 [268]
__IO uint32_t | ROM_PATCH0
uint8_t | RESERVED_57 [12]
__IO uint32_t | ROM_PATCH1
uint8_t | RESERVED_58 [12]
__IO uint32_t | ROM_PATCH2
uint8_t | RESERVED_59 [12]
__IO uint32_t | ROM_PATCH3
uint8_t | RESERVED_60 [12]
__IO uint32_t | ROM_PATCH4
uint8_t | RESERVED_61 [12]
__IO uint32_t | ROM_PATCH5
uint8_t | RESERVED_62 [12]
__IO uint32_t | ROM_PATCH6
uint8_t | RESERVED_63 [12]
__IO uint32_t | ROM_PATCH7
uint8_t | RESERVED_64 [12]
__IO uint32_t | GP30
uint8_t | RESERVED_65 [12]
__IO uint32_t | GP31
uint8_t | RESERVED_66 [12]
__IO uint32_t | GP32
uint8_t | RESERVED_67 [12]
__IO uint32_t | GP33
uint8_t | RESERVED_68 [12]
__IO uint32_t | GP40
uint8_t | RESERVED_69 [12]
__IO uint32_t | GP41
uint8_t | RESERVED_70 [12]
__IO uint32_t | GP42
uint8_t | RESERVED_71 [12]
__IO uint32_t | GP43

## Detailed Description

OCOTP - Register Layout Typedef

Definition at line 29278 of file MIMXRT1062.h.

The documentation for this struct was generated from the following file:

- device/MIMXRT1062.h